Properties
| Properties |
|---|
| call_id string Must be a UUID. The unique identifier of the call. |
| policyholder_id string,null Must be a UUID. The unique identifier of the policyholder associated with the call. null if no policyholder is linked. |
| policyholder object,null The policyholder object associated with this call. Only included when include=policyholder query parameter is specified. |
| claim_id string,null Must be a UUID. The unique identifier of the claim associated with the call. null if no claim is linked. |
| created_at string The timestamp at which the call was logged. |
| call_status string The current status of the call. |
| direction string The direction of the call. |
| from_number string The initiating phone number of the call. |
| to_number string,null The receiving phone number of the call. null if not available. |
| topic string The topic category of the call. |
| recording_url string,null The URL of the call recording. This is available if the call successfully connected and only once the call is completed. null if no recording exists. |
| call_duration integer | string The duration of the call in seconds. May be null if not recorded. |
Example
{
"call_id": "d3d13c48-4dc3-4816-8d01-de3215878225",
"policyholder_id": "8349345c-a6c5-4bf9-8ebb-6bbfc1628715",
"claim_id": "673b8081-9668-4136-97cc-6ae0debda083",
"created_at": "2017-10-16T10:12:02.872Z",
"call_status": "completed",
"direction": "outbound",
"from_number": "0721234567",
"to_number": "0821234567",
"topic": "general",
"recording_url": "https://sandbox.root.co.za/v1/files/download/ccbd249e-a404-11ea-8f4a-47e769474b83/Recording0001.mp3",
"call_duration": "72"
}